Bug 444559 - [ml_IN] Wrong shape for conjuncts formed using 0D30 (xRa) in a word
[ml_IN] Wrong shape for conjuncts formed using 0D30 (xRa) in a word
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 23:44 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 18:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for glyph in correct shape (4.98 KB, image/png)
2008-04-29 00:04 EDT, Ani Peter
no flags Details
A patched ttf file (61.20 KB, application/x-font-ttf)
2008-04-29 03:06 EDT, Rahul Bhalerao
no flags Details
Updated file (61.50 KB, application/x-font-ttf)
2008-04-29 06:28 EDT, Rahul Bhalerao
no flags Details

  None (edit)
Description Ani Peter 2008-04-28 23:44:08 EDT
Description of problem:

When conjuncts formed using 0D30 (xRa) is used in a word, the alignment is
wrong, ie, the whole word do not appear to be in one line, looks as if its in a
zig-zag shape. The vowels used with conjunct also is in wrong alignment

How reproducible:
Always

Steps to Reproduce:
1. In gedit type any consonant, say 0D2C
2. Followed by, 0D4D, 0D30, 0D3F, 0D1F, 0D4D, 0D1F, 0D28, 0D4D, 200D

Actual results:
When above steps are executed, the glyph formed using 0D2C, 0D4D, 0D30,0D3F in
the above word is not in alignment with the whole word

Expected results:
The whole word must be in a single line in same alignment and with no zig-zag shape.

Additional info:
For ref: see screenshot attached on
https://bugzilla.redhat.com/show_bug.cgi?id=242016, in comment#65
Comment 1 Ani Peter 2008-04-29 00:04:30 EDT
Created attachment 304063 [details]
Screenshot for glyph in correct shape
Comment 2 Rahul Bhalerao 2008-04-29 03:06:09 EDT
Created attachment 304075 [details]
A patched ttf file

Ani, could you please test this font file before I can build it?
Comment 3 Rahul Bhalerao 2008-04-29 06:28:48 EDT
Created attachment 304092 [details]
Updated file

Ani, please discard the previous file. This is the updated file that needs to
be tested asap.
Comment 4 Rahul Bhalerao 2008-04-29 08:05:59 EDT
Updated file attached on bug #444563
Comment 5 Ani Peter 2008-04-29 08:07:33 EDT
Rahul: This is fixed in the updated font.

Thanks
Ani
Comment 6 Rahul Bhalerao 2008-04-30 08:27:49 EDT
Fixed in lohit-fonts-malayalam-2.2.1-2.
Comment 7 Bug Zapper 2008-05-14 06:21:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tony Fu 2008-09-09 23:18:07 EDT
requested by Jens Petersen (#27995)
Comment 9 Jens Petersen 2009-05-27 18:40:51 EDT
Closing - please reopen if there should still be any problem.

Note You need to log in before you can comment on or make changes to this bug.